#!/bin/sh
# Note: change the following path to the absolute path in which this file resides.
install_path=/usr/local/kgimpel/temp/rampion-v0.2

./scripts/run-rampion-moses.pl \
./sample/dev.moses.ur \
./sample/dev.moses.en. \
/bin/echo \
./sample/moses.default.ini \
--working-dir=sample \
--nbest=25 \
--rampion-cmd=${install_path}/src/rampion \
--loss=ramp3 \
--cost-metric=BLEU_PLUS_ONE_ALL_N_AND_BP \
--num-iters=5 \
--num-cccpiters=10 \
--num-subiters=5 \
--opt-alg=ssd \
--eta=0.0001 \
--C=1.0 \
--alpha=10.0 1> sample/sample_run.out 2> sample/sample_run.err

