#!/bin/sh
# Note: change the following path to the absolute path in which this file resides.
install_path=/usr/local/kgimpel/temp/rampion-v0.2

./scripts/run-rampion-reranker.pl \
./sample_reranker/dev.moses.ur \
./sample_reranker/dev.moses.en. \
./sample_reranker/moses.default.ini \
--working-dir=sample_reranker \
--rampion-cmd=${install_path}/src/rampion \
--loss=ramp3 \
--cost-metric=BLEU_PLUS_ONE_ALL_N_AND_BP \
--num-iters=5 \
--num-cccpiters=10 \
--num-subiters=5 \
--opt-alg=ssd \
--eta=0.0001 \
--C=1.0 \
--alpha=10.0 \
--nbest-list-file=./sample_reranker/best25.out 1> sample_reranker/sample_run_reranker.out 2> sample_reranker/sample_run_reranker.err

